package org.tbasket.test

import zio.*
import zio.http.{Body, Response}
import zio.json.*
import zio.json.ast.Json

object TestUtils {
  def getJsonBody(r: Response): Task[Json] = {
    for
      body <- r.body.asString
      json <- ZIO.fromEither(body.fromJson[Json]).mapError(new Exception(_)).orElseSucceed(Json.Null)
    yield json
  }
}
